from BOM import BOM
from Store import store 


class BOMFactory(object):

    def new(self):
        return BOM()

    def getBOMBySerialNum(self, serialNum):
        return store.fetchObject(BOM, serialNum)

    def getBOMsByItemSerialNum(self, serialNum):
        return store.fetchObjectsOfClass(BOM, clauses="WHERE itemObjId='%s' ORDER BY number+'0',number" % serialNum)

    def getBOMsByMaterialSerialNum(self, serialNum):
        return store.fetchObjectsOfClass(BOM, clauses="WHERE materialObjId='%s' ORDER BY number+'0',number" % serialNum)
    
    def addBOMToItemSerialNum(self, bomItem, serialNum):
        tmpitem = ItemFactory().getItemBySerialNum( int( serialNum ) )
        tmpitem.setBOM( bomItem )

        store.addObject(tmpitem)
        store.saveChanges()
