from Item import Item
from Store import store

class ItemFactory(object):
    
    def new(self):
        return Item()
    
    def getItemByNumber(self,number):
        return store.fetchObjectsOfClass(Item,clauses="WHERE number='%d'" % number )
    
    def getItems(self):
        return store.fetchObjectsOfClass(Item,clauses="ORDER BY number+'0',number");

    def getCenterBOMItemByItemSerialNum(self,serialNum):
        boms = self.getItemBySerialNum( int( serialNum ) ).bom()
        if boms:
            return boms[0]
        else:
            return False

    def getItemBySerialNum(self,serialNum):
        return store.fetchObject(Item,serialNum)

    def searchItems(self,clauses):
        return store.fetchObjectsOfClass(Item,clauses)
