from Note import Note
from Store import store
from sndcs_common.DateTimeMixin import DateTimeMixin

class NoteFactory(DateTimeMixin):

    def new(self, body, timestamp = None, subject = None, user = None):
        note = Note()
        note.setBody(body)
        if timestamp:
            note.setTimestamp(timestamp)
        else:
            note.setTimestamp(self.now())
        if subject:
            note.setSubject(subject)
        if user:
            note.setUser(user)
        return note

    def getNoteBySerialNum(self, serialNum):
        return store.fetchObject(Note, serialNum)
