from sndcs.Store import store
from sndcs.Terminal import Terminal

class TerminalFactory(object):

    def new(self):
        return Terminal()

    def getTerminals(self):
        return store.fetchObjectsOfClass(Terminal)
    
    def getTerminalBySerialNum(self, serialNum):
        return store.fetchObject(Terminal,serialNum)

    def getTerminalByTerminalName(self, terminalName):
        return store.fetchObjectsOfClass(Terminal,"WHERE terminalName='%s'" % terminalName)
