# vim: ts=4 et sts=4 sw=4 autoindent

from lib.WapSitePage import SitePage

class SecureSitePage(SitePage):

    def awake(self, transaction):
        SitePage.awake(self, transaction)

        if not self.loggedOn():
            self.setBackPage()
            self.goToPage("dcs_login/login")

    def loggedOn(self):
        sess = self.session()

        if sess.hasValue("userLoggedOn"):
            return bool(sess.value("userLoggedOn"))
        else:
            return False
