# vim: ts=4 et sts=4 sw=4 autoindent

from lib.SecureSitePage import SecureSitePage
from index import index
from etc import siteindex

from sndcs.AssemblyFactory import AssemblyFactory
from sndcs.JobHedFactory import JobHedFactory

class assembly(index,SecureSitePage):


            def __init__(self):
                SecureSitePage.__init__(self,0,0,False,[ "../js/sndcs2_main.js", "../js/jscalendar/calendar.js", "../js/jscalendar/calendar-en.js" ])

            def writeLocalContent(self):
                req = self.request()
                assembly = self.returnType(req.field("JobItem",""),int,None)
                
                if not assembly:
                    self.goToPage("dcs_edit_time")
                    
                tmpassembly = AssemblyFactory().getAssembliesByJobHedBySerialNum( assembly )

                self.writeln("""<table width="50%">""")
                if not tmpassembly:
                    self.writeln("""<tr><td><font color=red><b>Error: That JobHed doesn't have any Assemblies defined</b></font></td></tr>""")
                else:
                    self.writeln( self.writeJavascript("assembly") )
                    jobItem = JobHedFactory().getJobHedBySerialNum( assembly ).number()

                    self.writeln("""
                    <form action='./operation' method='post' onSubmit='return validOnSubmit(this);'>
                    <tr><th align=right>JobHed #%s</th><th align=center><a class=hyperlink href='javascript:window.close()'>Close Window</a></th></tr>
                    <tr class=table_header><th colspan=2 align=center>Select Assembly</th></tr>
                    <tr><td colspan=2 align=center><select name='assembly' size=10 style='width: 350px;'>""" % jobItem)

                    for assembly in tmpassembly:
                        self.writeln( self.write_option(assembly.serialNum(),"%s %s" % (assembly.number(), assembly.description() ) ) )

                    self.writeln("\n\t</td>\n</tr>")
                    
                    moreJob = self.returnType( req.field("moreJob",""), [int,list], [ False ])
                    hiddenFields = self.ParseValues(dict(req.fields()),False,[ "moreJob" ])
                    
                    if self.isType(moreJob,list):
                        for job in moreJob:
                            hiddenFields += "<input type='hidden' name='moreJob' value='%s'>\n" % job
                    else:
                        hiddenFields += "<input type='hidden' name='moreJob' value='%s'>\n" % moreJob

                    self.writeln( hiddenFields )
                    
                    self.writeln("""<tr height='40px'><td colspan=2 align=center><INPUT TYPE=image SRC="../images/submit1.gif" onMouseDown="this.src='../images/submit1down.gif';" onMouseOut="this.src='../images/submit1.gif';">&nbsp;<A HREF="./edit_labordtl?serialNum=%s"><IMAGE SRC="../images/back1.gif" onMouseDown="this.src='../images/back1down.gif';" onMouseOut="this.src='../images/back1.gif';" BORDER=0></A></td></tr>\n</form>""" % req.field("serialNum") )
                self.writeln("""</table>""")
