from Assembly import Assembly
from Store import store

class AssemblyFactory(object):

    def new(self):
        return Assembly()

    def getAssemblyBySerialNum(self, serialNum):
        return store.fetchObject(Assembly, serialNum)

    def getAssembliesByJobHedBySerialNum(self, serialNum):
        return store.fetchObjectsOfClass(Assembly, clauses="WHERE jobHedObjId=%s ORDER BY number+'0',number ASC" % serialNum)
