from Customer import Customer
from Store import store



class CustomerFactory(object):

    def new(self):
        return Customer()

    def getCustomers(self):
        return store.fetchObjectsOfClass(Customer,clauses="ORDER BY name ASC")

    def getCustomerByName(self,name):
        return store.fetchObjectsOfClass(Customer,"WHERE name='%s'" % name)

    def getCustomerBySerialNum(self,serialNum):
        return store.fetchObject(Customer,int(serialNum) )
    
    def getCustomerById(self,customerId):
        return store.fetchObjectsOfClass(Customer,clauses="WHERE customerId='%s'" % customerId)

    def getCustomersBySearchOrder(self,sortBy):
        return store.fetchObjectsOfClass(Customer,clauses="ORDER BY %s+'0',%s" % (sortBy, sortBy) )
