from sndcs.Store import store
from sndcs.Department import Department

class DepartmentFactory(object):

    def new(self):
        return Department()

    def getDepartments(self):
        return store.fetchObjectsOfClass(Department,"WHERE employeeObjId IS NULL AND terminalObjId IS NULL ORDER BY code+'0',code")
   
    def getDepartmentByCode(self,code):
        return store.fetchObjectsOfClass(Department,"WHERE code='%s'" % code)[0]

    def getDepartmentBySerialNum(self, serialNum):
        return store.fetchObject(Department,serialNum)

    def getActiveDepartments(self,serialNum = False): # NOTE: If an employee belongs to a inactive department it is still shown
        if serialNum:
            serialNum = "OR employeeObjId=%s" % serialNum
        else:
            serialNum = ""

        return store.fetchObjectsOfClass(Department,clauses = """WHERE active=1 %s AND employeeObjId IS NULL AND terminalObjId IS NULL ORDER BY code+'0',code""" % serialNum)
