from ItemPriceByCustomer import ItemPriceByCustomer
from Store import store

class ItemPriceByCustomerFactory(object):

        def new(self):
                return ItemPriceByCustomer()
        
        def getItemPriceBySerialNum(self,serialNum):
                return store.fetchObject(ItemPriceByCustomer,int( serialNum) )

        def getItemPricesByCustomerSerialNum(self,serialNum):
                return store.fetchObjectsOfClass(ItemPriceByCustomer,clauses="WHERE customerObjId='%s'" % serialNum)

        def getItemPriceByItemSerialNum(self,serialNum):
                return store.fetchObjectsOfClass(ItemPriceByCustomer,clauses="WHERE itemObjId='%s'" % serialNum)

        def getItemPriceByCustomerAndItemSerialNum(self,itemSerialNum,customerSerialNum):
                return store.fetchObjectsOfClass(ItemPriceByCustomer,"WHERE itemObjId='%s' AND customerObjId='%s'" % (itemSerialNum,customerSerialNum) )
