'''
JobHed.py
'''

from GeneratedPy.GenJobHed import GenJobHed
from sndcs_common.DateTimeMixin import DateTimeMixin
from sndcs_common.SndcsExceptions import *

class JobHed(GenJobHed, DateTimeMixin):

    def __init__(self):
        GenJobHed.__init__(self)
    
    def formattedDescription(self):
        return "%s - %s - %s" % (self.number(), self.itemNumber(), self.itemDescription())

    def isClosed(self):
        return bool( self.hidden() or self.complete() )
