from ScrapCode import ScrapCode
from sndcs.Store import store

class ScrapCodeFactory(object):

        def new(self):
            return ScrapCode()

        def getScrapCodeBySerialNum(self,serialNum):
            return store.fetchObject(ScrapCode,int(serialNum) )

        def getScrapCodeByLaborDtlSerialNum(self,serialNum):
            return store.fetchObjectsOfClass(ScrapCode,"WHERE laborDtlObjId='%s'" % serialNum)

        def getScrapCodes(self):
            return store.fetchObjectsOfClass(ScrapCode,"WHERE jobHedObjId IS NULL AND laborDtlObjId IS NULL")

        def getScrapCodeByCode(self,code):
            return store.fetchObjectsOfClass(ScrapCode,"WHERE code='%s' AND jobHedObjId IS NULL'" % code)

        def getActiveScrapCodes(self):
            return store.fetchObjectsOfClass(ScrapCode,"WHERE jobHedObjId IS NULL AND active=1")
