from sndcs.Store import store
from sndcs.Shift import Shift

class ShiftFactory(object):

    def new(self):
        return Shift()

    def getShifts(self):
        return store.fetchObjectsOfClass(Shift)
    
    def getShiftBySerialNum(self, serialNum):
        return store.fetchObject(Shift,serialNum)

    # serialNum is the dcs_edit_employees page
    # If an employee belongs to a inactive shift it is still shown
    def getActiveShifts(self,serialNum=""):
        if not serialNum=="":
            serialNum="OR serialNum='%s'" % serialNum
      
        return store.fetchObjectsOfClass(Shift,clauses="""WHERE active=1 %s""" % serialNum)
