from lib.SecureSitePage import SecureSitePage

from etc import siteindex # Be sure to add an entry to etc.SiteIndex

""" Boilerplate DCS Module """

class index(SecureSitePage):

        def __init__(self):
                SecureSitePage.__init__(self,siteindex["dcs_boilerplate"],0,False,[ "../js/sndcs2_main.js" ],clearSearchResults = True )

        def action(self):
                return SecureSitePage.actions(self) + [ "sampleAction" ]

        def localTitle(self):
                return "DCS Boilerplate Module"

        def sampleAction(self):
                self.message = "<b>Sample Action Content</b>"
                self.writeBody()

        # Javscript for validation and other actions
        def writeJavascript(self): # Usage: self.writeln( self.writeJavascript() )
                return """
                <script language='javascript' type='text/javascript'>
                alert('DCS Boilerplate Module');
                </script>
                """

        def subTabs(self,colspan=1):
                subtab1 = self.write_div(id="subtab1",classname="subtab",text="Main", 1, 8, "index" ]);
                subtab2 = self.write_div(id="subtab2",classname="subtab",text="Search", construct = [ 2,8, "search" ]);
                return "<tr><td colspan='%s'><table><td>%s</td><td>%s</td></table></td></tr>" % (colspan,subtab1,subtab2)


        def writeLocalContent(self):

                self.writeln("""<table width="100%">""")    
                
                self.writeln( self.subTabs(1) )
                
                self.writeln("""
                <tr>
                    <td> Sample Content </td>
                </tr>

                </table>
                """)

