# vim: ts=4 et sts=4 sw=4 autoindent

from lib.SecureSitePage import SecureSitePage
from etc import siteindex

from sndcs.ShiftFactory import ShiftFactory

class index(SecureSitePage):
        
        header = ("""\t<tr class='table_header'>
                <th align=left width='70%'>&nbsp;Description</th>
                <th align=left width='15%'>Start Time</th>
                <th align=left width='15%'>End Time</th>
                <th width=10%>Active</th>
                <th ALIGN=center WIDTH='30px'>Edit</th>
                <th ALIGN=center WIDTH='30px'>Delete</th>
            </tr>""")
    
        def __init__(self):
            SecureSitePage.__init__(self,siteindex["dcs_edit_shifts"],0)

        def backPage(self):
            return "dcs_edit_shifts"

        def newTab(self):
            return ["New Shift","shifts"]

        def localTitle(self):
            return "Shifts"

        def writeLocalContent(self):
            self.writeln("""<table width="100%">""")
            
            self.writeln( self.header ) 

            self.start_color()

            for shift in ShiftFactory().getShifts():
                bgcolor = self.next_color()
                ActiveBool = self.ifTrueReturn( shift.active(), "Yes", "No" )
                
                self.writeln("""
                <tr bgcolor='%s'>
                        <td class='list_data' align='left'>&nbsp;%s</td>
                        <td class='list_data' align='left'>%s</td>
                        <td class='list_data' align='left'>%s</td>
                        <td class='list_data' align='center'>%s</td>
                        <td align='center'><a class='pointer' href='./shifts?serialNum=%s'><img style='border-style: none;' src='../images/button4.gif'/></a></td>
                        <td align='center'><a class='pointer' href='./shifts?_action_=delete&serialNum=%s'><img style='border-style: none;' src='../images/button3.gif'/></a></td>
                </tr>""" % (bgcolor,shift.name(),str(shift.startTime())[:8],str(shift.endTime())[:8],ActiveBool,shift.serialNum(),shift.serialNum()) )
            
            self.writeln( self.header )
            
            self.writeln("""\n<tr height='40px'>
                <td ALIGN=center COLSPAN=6><A HREF="./shifts"><IMG SRC="../images/new.gif" onMouseDown="this.src='../images/newdown.gif';" onMouseOut="this.src='../images/new.gif';" style="border-style: none;"></A></td>
            </tr>
            
            </table>""")

