# vim: ts=4 et sts=4 sw=4 autoindent

from lib.WapSecureSitePage import SecureSitePage
from sndcs.EmployeeFactory import EmployeeFactory

class index(SecureSitePage):
    def __init__(self):
        SecureSitePage.__init__(self,0)

    def localTitle(self):
        return "Employee List"


    def writeLocalContent(self):

        self.writeln("""<table width="100%">""")

        self.start_color()

        lastShiftName=""
        for employee in EmployeeFactory().getActiveEmployees():
            employeeJobString,className = [ "","" ]

            bgcolor = self.next_color()
            activities = employee.getActivities()
            if len(activities) > 1:
                employeeJobString="*** GANGED ***"
                className="ganged"
            
            if employee.isClockedIn():
                for activity in employee.getActivities():
                  if not className:
                        className=activity["type"]
                  else:
                        employeeJobString+="<br>"
                  serialNum = int(employee.serialNum())    

                  if className is "idle":
                        employeeJobString+=activity["description"]
                  else:
                        employeeJobString+="<a href='../dcs_current_activity/view?serialNum=%i' class='%s'>%s</a>" % (serialNum, className, activity["description"])
            
                shiftObj = employee.shift()
                self.writeln(""" <tr class='%s' bgcolor='%s'> <td valign="top"><a href='../dcs_current_activity/index?serialNum=%s' class='%s'>%s</a></td><td valign="top">%s</td> </tr>""" % (className,bgcolor,employee.serialNum(),className,employee.properName(),employeeJobString))

            else:
                self.writeln(""" <tr class='list_data' bgcolor='%s'><td colspan=2 valign="top"><a href='../dcs_clock_in/index?serialNum=%i'>%s</a></td></tr>""" % (bgcolor,employee.serialNum(), employee.properName()) )


        self.writeln("""</table>""")

